#ifndef __WINCOMPAT_STAT_H__
#define __WINCOMPAT_STAT_H__


#define S_IFMT   0170000  /* type of file mask */
#define S_IFIFO  0010000  /* named	pipe (fifo) */
#define S_IFCHR  0020000  /* character special */
#define S_IFDIR  0040000  /* directory */
#define S_IFBLK  0060000  /* block	special	*/
#define S_IFREG  0100000  /* regular */
#define S_IFLNK  0120000  /* symbolic link	*/
#define S_IFSOCK 0140000  /* socket */
#define S_IFWHT  0160000  /* whiteout */
#define S_ISUID  0004000  /* set user id on execution */
#define S_ISGID  0002000  /* set group id on execution */
#define S_ISVTX  0001000  /* save swapped text even after use */
#define S_IRWXU  0000700  /* RWX mask for owner */
#define S_IRUSR  0000400  /* read permission, owner */
#define S_IWUSR  0000200  /* write	permission, owner */
#define S_IXUSR  0000100  /* execute/search permission, owner */
#define S_IRWXG  0000070  /* RWX mask for group */
#define S_IRGRP  0000040  /* read permission, group */
#define S_IWGRP  0000020  /* write	permission, group */
#define S_IXGRP  0000010  /* execute/search permission, group */
#define S_IRWXO  0000007  /* RWX mask for other */
#define S_IROTH  0000004  /* read permission, other */
#define S_IWOTH  0000002  /* write	permission, other */
#define S_IXOTH  0000001  /* execute/search permission, other */

#define S_IEXEC		S_IXUSR
#define S_IWRITE	S_IWUSR
#define S_IREAD		S_IRUSR

#ifdef __cplusplus
extern "C" {
#endif

struct stat
{
	unsigned int	st_dev;
	unsigned int	st_ino;
	unsigned short	st_mode;
	short			st_nlink;
	short			st_uid;
	short			st_gid;
	unsigned int	st_rdev;
	unsigned long	st_size;
	time_t			st_atime;
	time_t			st_mtime;
	time_t			st_ctime;
};

int stat(const char *szFileName, struct stat *st);
int fstat(FILE *desc, struct stat *st);


#ifdef __cplusplus
}
#endif


#endif
